
public class Cylinder extends Circle {
   // private instance variable
   private double height;
   
   // Constructors
   public Cylinder() {
      super();  // invoke superclass' constructor Circle()
	  this.height = 1.0;
   }
   public Cylinder(double height) {
      super();  
      this.height = height;
   }
   public Cylinder(double height, double radius) {
      super(radius); 
      this.height = height;
   }
   public Cylinder(double height, double radius, String color) {
      super(radius, color);  
      this.height = height;
   }
   
   // Getter and Setter
   public double getHeight() {
      return this.height;
   }
   public void setHeight(double height) {
      this.height = height;
   }

   @Override // it checks if the following method exists in superclass
   public double getArea() {
      return 2*Math.PI*getRadius()*height + 2*super.getArea();
   }

   public double getVolume() {
      return super.getArea()*height;   // Use Circle's getArea()
   }

   @Override
   public String toString() {
      return "Cylinder[radius: " + getRadius() + ",  height: " + height + ", color: " + getColor() + "]";  
   }
}
